PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- plot_eig

# plot_eig

pydl.pydlspec2d.spec1d.plot_eig(filename, title='Unknown')

  Plot spectra from an eigenspectra/template file.

  Parameters:
    filename `str`

      Name of a FITS file containing eigenspectra/templates.

    title `str`, optional

      Title to put on the plot.

  Raises:
    `ValueError`

      If an unknown template type was input in `filename`.